Skip to main content
POST
/
api
/
v1
/
client
/
aud2video
cURL
curl --request POST \
  --url https://api.deapi.ai/api/v1/client/aud2video \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'prompt=A beautiful sunset over mountains with dramatic music' \
  --form audio='@example-file' \
  --form width=512 \
  --form height=512 \
  --form frames=97 \
  --form seed=42 \
  --form model=Ltx2_19B_Dist_FP8 \
  --form 'negative_prompt=blur, darkness, noise' \
  --form 'first_frame_image=<string>' \
  --form 'last_frame_image=<string>' \
  --form guidance=7.5 \
  --form steps=20 \
  --form fps=24 \
  --form webhook_url=https://your-server.com/webhooks/deapi \
  --form first_frame_image.0='@example-file' \
  --form first_frame_image.1='@example-file' \
  --form last_frame_image.0='@example-file' \
  --form last_frame_image.1='@example-file'
{
  "data": {
    "request_id": "c08a339c-73e5-4d67-a4d5-231302fbff9a"
  }
}
Audio-to-Video generates video clips conditioned on an audio file and a text prompt. You can optionally provide first and last frame images to control the visual start and end points. The endpoint returns a task ID to track processing status.
Prerequisite: To ensure a successful request, you must first consult the Model Selection endpoint to identify a valid model slug, check specific limits and features.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Body

multipart/form-data

Audio to video generation parameters

prompt
string
required

The main prompt for video generation

Example:

"A beautiful sunset over mountains with dramatic music"

audio
file
required

Audio file to condition the video generation. Supported formats: MP3, WAV, OGG, FLAC. Maximum file size: 20 MB.

width
integer
required

Width of the generated video in pixels

Example:

512

height
integer
required

Height of the generated video in pixels

Example:

512

frames
integer
required

Number of video frames to generate

Example:

97

seed
integer
required

Random seed for generation

Example:

42

model
string
required

The model to use for video generation. Available models can be retrieved via the GET /api/v1/client/models endpoint.

Example:

"Ltx2_19B_Dist_FP8"

negative_prompt
string | null

Elements to avoid in the generated video

Example:

"blur, darkness, noise"

first_frame_image
file | null

Image for the first frame of video (optional). Supported formats: JPG, JPEG, PNG, GIF, BMP, WebP. Maximum file size: 10 MB.

last_frame_image
file | null

Image for the last frame of video (optional). Supported formats: JPG, JPEG, PNG, GIF, BMP, WebP. Maximum file size: 10 MB.

guidance
number

Guidance scale for the generation

Example:

7.5

steps
integer

Number of inference steps

Example:

20

fps
integer

FPS of generated video

Example:

24

webhook_url
string<uri> | null

Optional HTTPS URL to receive webhook notifications for job status changes (processing, completed, failed). Must be HTTPS. Max 2048 characters. See Webhook Documentation for payload structure and authentication details.

Maximum string length: 2048
Example:

"https://your-server.com/webhooks/deapi"

Response

ID of the inference request.

data
object

Information from success endpoint